Ruby: pm_index_and_write_node Struct Reference

Ruby 3.3.6p108 (2024-11-05 revision 75015d4c1f6965b5e85e96fb309f1f2129f933c0)

Data Fields
pm_index_and_write_node Struct Reference

IndexAndWriteNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_node * | receiver
| IndexAndWriteNode#receiver.
pm_location_t | call_operator_loc
| IndexAndWriteNode#call_operator_loc.
pm_location_t | opening_loc
| IndexAndWriteNode#opening_loc.
struct pm_arguments_node * | arguments
| IndexAndWriteNode#arguments.
pm_location_t | closing_loc
| IndexAndWriteNode#closing_loc.
struct pm_node * | block
| IndexAndWriteNode#block.
pm_location_t | operator_loc
| IndexAndWriteNode#operator_loc.
struct pm_node * | value
| IndexAndWriteNode#value.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

IndexAndWriteNode.

Type: PM_INDEX_AND_WRITE_NODE Flags: PM_CALL_NODE_FLAGS_SAFE_NAVIGATION PM_CALL_NODE_FLAGS_VARIABLE_CALL PM_CALL_NODE_FLAGS_ATTRIBUTE_WRITE

Definition at line 2714 of file ast.h.

## Field Documentation

## ◆ arguments

struct pm_arguments_node* pm_index_and_write_node::arguments

IndexAndWriteNode#arguments.

Definition at line 2728 of file ast.h.

Referenced by pm_node_destroy().

## ◆ base

pm_node_t pm_index_and_write_node::base

The embedded base node.

Definition at line 2716 of file ast.h.

## ◆ block

struct pm_node* pm_index_and_write_node::block

IndexAndWriteNode#block.

Definition at line 2734 of file ast.h.

Referenced by pm_node_destroy().

## ◆ call_operator_loc

pm_location_t pm_index_and_write_node::call_operator_loc

IndexAndWriteNode#call_operator_loc.

Definition at line 2722 of file ast.h.

## ◆ closing_loc

pm_location_t pm_index_and_write_node::closing_loc

IndexAndWriteNode#closing_loc.

Definition at line 2731 of file ast.h.

## ◆ opening_loc

pm_location_t pm_index_and_write_node::opening_loc

IndexAndWriteNode#opening_loc.

Definition at line 2725 of file ast.h.

## ◆ operator_loc

pm_location_t pm_index_and_write_node::operator_loc

IndexAndWriteNode#operator_loc.

Definition at line 2737 of file ast.h.

## ◆ receiver

struct pm_node* pm_index_and_write_node::receiver

IndexAndWriteNode#receiver.

Definition at line 2719 of file ast.h.

Referenced by pm_node_destroy().

## ◆ value

struct pm_node* pm_index_and_write_node::value

IndexAndWriteNode#value.

Definition at line 2740 of file ast.h.

Referenced by pm_node_destroy().

The documentation for this struct was generated from the following file:

- prism/ast.h